Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.12 veröffentlicht (22.05.17)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
SQL-Fehler
#1
Hallo,
ich wollte ein Forum (albatros-landshut.de/forum07) von 1.6.3 auf die aktuelle Version 1.8.10 upgraden. Vorher Datenbank gesichert und alle Datein per FTP auf den Rechner gezogen.
Danach lässt sich kein Thema mehr erstellen. Es folgt die Fehlermeldung:
SQL Error: 1054 - Unknown column ´p.posthash´ in ´where clause´

Ich habe vermutet, dass irgendwas beim Aktualisieren nicht geklappt hat. Deshalb habe ich die alten Dateien wieder aufgespielt und die Datenbank mit PuTTy zurückgespielt. Die Fehlermeldung kommt trotzdem. Jetzt bin ich als Laie aufgeschmissen und ich weiß nicht, ob es mit Putty geklappt hat. Ich vermute mal, dass ja, weil es kam keine Fehlermeldung. Mit phpMyAdmin geht es laut Strato wg der Dataigröße >30MB nicht.

Jedenfalls kann man keine Beiträge mehr verfassen  und ich weiß nicht weiter. Hat jemand einen Rat?


Angehängte Dateien
.pdf   SQL-Error1054.pdf (Größe: 57,58 KB / Downloads: 6)
Zitieren
#2
Wenn diese Fehlermeldung bei MyBB 1.8.10 auftritt, wurden vermutlich nicht alle Dateien korrekt aktualisiert (denn dort kommt posthash gar nicht mehr vor). Oder es sind noch inkompatible Plugins installiert.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#3
Plugins sind keine Installiert. Hat ein Thema was damit zu tun?
Zitieren
#4
Jetzt habe ich nochmal alle Dateien von 1.8.10 kopiert. Es gibt keine aktiven Plugins.
Dieses Theme habe ich installiert:
https://www.mybb.de/erweiterungen/18x/th...s09_black/

Trotzdem gibt es die Fehlermeldung mit posthash

Hat jemand noch einen Tip?
MyBB1.8.10
Zitieren
#5
Hast du danach auch das Upgrade Script komplett durchlaufen lassen? Gab es dabei irgendwelche Fehlermeldungen?
Für Paid Support: www.broatcast-consulting.de
Für alles andere: www.blog.broatcast.de
Zitieren
#6
(30.01.2017, 10:22)taxiflieger schrieb: ....
Dieses Theme habe ich installiert:
https://www.mybb.de/erweiterungen/18x/th...s09_black/

.....
Das verwendete Theme ist nicht 100% kompatibel zu MyBB 1.8.10 ... bitte verwende bis zur Lösung des Problems das Standard MyBB Theme....so können eventuelle Theme Fehler ausgeschlossen werden.
MfG Sven
Zitieren
#7
(30.01.2017, 10:22)taxiflieger schrieb: Jetzt habe ich nochmal alle Dateien von 1.8.10 kopiert.
Es gibt bei MyBB 1.8.10 keine Datei in der "p.posthash" vorkommt. Bitte stelle sicher, dass wirklich alle Dateien aktuell sind (am besten mit der Datei-Überprüfung im Admin-CP).
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#8
Hallo,

danke für die Tips. Das Problem ist nun gelöst. Mein Fehler war, dass ich mit FileZilla die zu kopierenden Verzeichnisse zum Hochladen angeklickt habe. Dabei sind zwar alle Verzeichnisse mit den darin enthaltenen Unterordnern und Dateien, nicht aber die Dateien im angeklickten Verzeichnis übertragen worden. Eindeutig ein Bedienungsfehler meinerseits.

Übrigens kam in der alten und jetzt ersetzten Datei newthread.php tatsächlich p.posthash vor.
MyBB1.8.10
Zitieren
#9
Definitiv nein.

p.posthash NEIN
posthash JA
Mit freundlichen Grüßen

MrBrechreiz
Zitieren
#10
anbei die betreffende Zeile ...

Wer weiß, ob früher schon die richtige Dateie an der richtigen Stelle war.

Egal, Hauptsache es geht jetzt.

Danke nochmal für das beharrliche Hinweisen auf die falsche Dateien.


Angehängte Dateien
.pdf   posthash.pdf (Größe: 59,45 KB / Downloads: 7)
MyBB1.8.10
Zitieren